This page is a wiki. Please login or create an account to begin editing.


8 posts / 0 new
Last post
Roman343's picture
Offline
Joined: 2015 Sep 13
QEMU for PowerPC

Hello,

I want to run older OS X versions on my PB G4 - Puma, and cheetah and I want to know if QEMU will support PowerPC ?

Comments

24bit's picture
Offline
Joined: 2010 Nov 19

I don´t think there is/was a way to run older OSX builds on a G4 via Qemu.
To be sure, I would post your question at emaculation.com too.

SwedeBear's picture
Offline
Joined: 2009 Apr 18

There was an attempt from Sebastian Bastix to bring over Mac-on-Linux to early OSX and OS 9 as Mac-on-Macbut it was never to leave the Aplha-stage. I think I might have an app somewhere but the sourcefiles are still available from Sourceforge if someone has a PPC compiler up and running.

Edit: As a matter of fact someone here at MG tried M-o-M some time ago:
http://macintoshgarden.org/forum/mac-mac-mac-mini-g4

MikeTomTom's picture
Offline
Joined: 2009 Dec 7

I think Mac-on-Mac would possibly be the only option to have an earlier Mac OS X running on a G4 PPC.

But MoM was a very unfinished project and it will only run on top of Panther, Mac OS 10.3.x + X11

For a very nice screenshot of MoM running Puma and Mac OS 9.2.2 (includes links to further info).

24bit's picture
Offline
Joined: 2010 Nov 19

Good thought SwedeBear!
Maybe we should have a page for M-o-M and Jatoba could share his findings there again.
A faint memory of MoL and MoM occurred to me too, don´t know much else though. Wink

SwedeBear's picture
Offline
Joined: 2009 Apr 18

I'll have a dig in the archives. A glimpse shows both compiled app, source and docs on how to compile, even a Xcode folder. Will return with the findings Glasses

SwedeBear's picture
Offline
Joined: 2009 Apr 18

Returned with what I found in archives on this page.

adespoton's picture
Offline
Joined: 2015 Feb 15

In the past, I did get MoM running on a G3 iMac on 10.3.6 with X11. But that was back while it was under development, and my memory is hazy. I'll check to see whether the linked binaries will run for me a) on one of my G4 Minis (will need to install 10.3 first) or b) under QEMU-PPC running 10.3.